using System;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;


namespace AppSettingsApp.Pages
{
    public class SettingsModel : PageModel
    {
        readonly IConfiguration _configuration;

        public string companyName;
        public string webSite;
        public string backColor;

        public SettingsModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            GetAppSettings();
        }

        void GetAppSettings()
        {
            companyName = _configuration.GetSection("Company").GetValue<string>("CompanyName");

            webSite = _configuration.GetSection("Company").GetValue<string>("WebSite");


            backColor = _configuration.GetSection("Appearance").GetValue<string>("BackColor");

        }
    }
}
